#include <string>

#include <pwd.h>
#include <unistd.h>

#include <fstream>
#include <iostream>

const std::list<Input> Keys::single_mode(const string& mode)
{
  list<Input> rl;
  
  for (list<Input>::const_iterator iter = sorted_keys.begin(), 
	 end = sorted_keys.end(); iter != end; iter++)
    if (mode == iter->mode)
      rl.push_back(*iter);
  
  return rl;
}

